﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.UI.Common.Model
{
    public class SelectAssetContext
    {
        public SelectAssetContext()
        {
            ContainIds = new List<string>();
            AddedItems = new List<AssetShowItem>();
            ProjectId = string.Empty;
            VenderId = string.Empty;
        }
        /// <summary>
        /// 包含的Ids
        /// </summary>
        public List<string> ContainIds { get; set; }

        /// <summary>
        /// 增加的条目信息
        /// </summary>
        public List<AssetShowItem> AddedItems { get; set; }

        /// <summary>
        /// 项目Id
        /// </summary>
        public string ProjectId { get; set; }
        /// <summary>
        /// 厂商id
        /// </summary>
        public string VenderId { get; set; }
    }
}
