﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Insuer.Model
{
    public class InsuerShowItem:BasePropertyChanged
    {
        /// <summary>
        /// 保险商Id
        /// </summary>
        public string Id { get; set; }

        private string m_Name;
        /// <summary>
        /// 保险商名称
        /// </summary>
        public string Name
        {
            get { return this.m_Name; }
            set
            {
                this.m_Name = value;
                RaisePropertyChanged(() => this.Name);
            }
        }

        private string m_Url;
        /// <summary>
        /// 保险商网址
        /// </summary>
        public string Url
        {
            get { return this.m_Url; }
            set
            {
                this.m_Url = value;
                RaisePropertyChanged(() => this.Url);
            }
        }

        private int m_RefProjectCount;
        /// <summary>
        /// 关联项目数量
        /// </summary>
        public int RefProjectCount
        {
            get { return this.m_RefProjectCount; }
            set
            {
                this.m_RefProjectCount = value;
                RaisePropertyChanged(() => this.RefProjectCount);
            }
        }
    }
}
