﻿
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinAddProductType.xaml
//文件描述: WinAddProductType.xaml
//创 建 者: xls
//创建日期: 2018/9/18 16:59:10
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using FWindSoft.Wpf;

namespace Com.FirmLib.UI.Maintainer
{
    /// <summary>
    /// WinAddProductType.xaml 的交互逻辑
    /// </summary>
    public partial class WinAddProductType : BaseWindow
    {
        private VmAddProductType m_Vm;
        public WinAddProductType() : this(new VmAddProductType())
        {

        }
        public WinAddProductType(VmAddProductType vm)
        {
            InitializeComponent();
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
            this.Closing += WinAddProductType_Closing;
        }

        private void WinAddProductType_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            this.DialogResult = true;
        }

        protected override void LoadData(LoadParameter parameter)
        {
            //初始化数据
          TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
            }
            catch (Exception ex)
            {
                //MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion
    }
}
