﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Com.FirmLib.Entity;
using FirmHttpDao;

namespace Com.FirmLib.Bll
{
    /// <summary>
    /// 保险单信息逻辑类
    /// </summary>
    public class PolicyBll : BaseHttpBll
    {
        private PolicyBll() : base(@"")
        {

        }
        /// <summary>
        /// 获取基础地址
        /// </summary>
        /// <returns></returns>
        protected override string BaseEndUri()
        {
            return BllHttpSetting.Instance.EquipmentUri;
        }
        ///// <summary>
        ///// 获取保单信息，通过项目Id
        ///// </summary>
        ///// <param name="projectId"></param>
        ///// <returns></returns>
        //public PolicyItem GetPolicyItem(string projectId)
        //{
        //    return new PolicyItem() { Id = projectId, PolicyNo = projectId, PolicyFile = string.Empty };
        //}
    }
}
