﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 品牌信息
    /// </summary>
    public class BrandItem
    {
        /// <summary>
        /// 品牌ID
        /// </summary>
        [JsonProperty("brandId")]
        public string Id { get; set; }
        /// <summary>
        /// 生产商Id
        /// </summary>
        [JsonProperty("venderId")]
        public string ManufacturerId { get; set; }
        /// <summary>
        /// 品牌名称
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        /// <summary>
        /// 图标键值
        /// </summary>
        [JsonProperty("logo")]
        public string LogoKey { get; set; }
    }
}
