﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// MBI内置参数
    /// </summary>
    public class MBIBuiltInParameter
    {
        /// <summary>
        /// 本地编码
        /// </summary>
        public readonly static string EquipName = "EquipName";
        /// <summary>
        /// 本地编码
        /// </summary>
        public readonly static string EquipLocalID = "EquipLocalID";
        /// <summary>
        /// 本地名称
        /// </summary>
        public readonly static string EquipLocalName = "EquipLocalName";
        /// <summary>
        /// 品牌
        /// </summary>
        public readonly static string Brand = "Brand";
        /// <summary>
        /// 设备型号
        /// </summary>
        public readonly static string Specification = "Specification";
        /// <summary>
        /// 生产日期
        /// </summary>
        public readonly static string ProductDate = "ProductDate";
        /// <summary>
        /// 出厂编号
        /// </summary>
        public readonly static string SerialNum = "SerialNum";
        /// <summary>
        /// 资产编号
        /// </summary>
        public readonly static string AssetID = "AssetID";
        /// <summary>
        /// 采购价格
        /// </summary>
        public readonly static string PurchasePrice = "PurchasePrice";
        /// <summary>
        /// 保修期
        /// </summary>
        public readonly static string Warranty = "Warranty";
        /// <summary>
        /// 维保合同截止日期
        /// </summary>
        public readonly static string MaintainDeadline = "MaintainDeadline";
        /// <summary>
        /// 使用寿命
        /// </summary>
        public readonly static string ServiceLife = "ServiceLife";
        /// <summary>
        /// 保养周期
        /// </summary>
        public readonly static string MaintainPeriod = "MaintainPeriod";
        /// <summary>
        /// 保险单号
        /// </summary>
        public readonly static string InsuranceNum = "InsuranceNum";
        /// <summary>
        /// 保险文件
        /// </summary>
        public readonly static string InsuranceFile = "InsuranceFile";
        /// <summary>
        /// 生产厂家
        /// </summary>
        public readonly static string Manufacturer = "Manufacturer";
        /// <summary>
        /// 供应商
        /// </summary>
        public readonly static string Supplier = "Supplier";
        /// <summary>
        /// 维修商
        /// </summary>
        public readonly static string Maintainer = "	Maintainer";
        /// <summary>
        /// 保险商
        /// </summary>
        public readonly static string Insurer = "Insurer";

        /// <summary>
        /// 型号Id
        /// </summary>
        public readonly static string DPSpecificationID = "DPSpecificationID";

        /// <summary>
        /// 生产商id
        /// </summary>
        public readonly static string DPManufacturerID = "DPManufacturerID";
        /// <summary>
        /// 供应商id
        /// </summary>
        public readonly static string DPSellerID = "DPSupplierID";
        /// <summary>
        /// 维修商id
        /// </summary>
        public readonly static string DPMaintainerID = "DPMaintainerID";
        /// <summary>
        /// 保险商id
        /// </summary>
        public readonly static string DPInsuerID = "DPInsurerID";

        /// <summary>
        /// 供应合同编号
        /// </summary>
        public readonly static string SupplierContractID = "SupplierContractID";
    }
}
