﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 查询结构相关信息
    /// </summary>
    /// <typeparam name="T"></typeparam>
    public class SearchResult<T>
    {
        /// <summary>
        /// 返回数量
        /// </summary>
        public int Count { get; set; }
        /// <summary>
        /// 过滤条件下总共的数量
        /// </summary>
        public int TotalCount { get; set; }

        /// <summary>
        /// 包含的信息
        /// </summary>
        public List<T> Items { get; set; }
    }
}
