﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib
{
    public class FileUrlValidate
    {
        /// <summary>
        /// 系统Id
        /// </summary>
        public string SystemId { get; set; }
        /// <summary>
        /// 系统验证Id
        /// </summary>
        public string Secret { get; set; }
    }


    public class FileUrlValidateFactory
    {
        /// <summary>
        /// 创建文件操作token
        /// </summary>
        /// <param name="systemId"></param>
        /// <returns></returns>
        public static FileUrlValidate Create(string systemId)
        {
            FileUrlValidate validate = new FileUrlValidate();
            validate.SystemId = systemId;
            validate.Secret= "dev" == systemId ? "123" : "123";
            return validate;
        }
    }

}
