﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.BllCommon
{
    /// <summary>
    /// 联系人信息
    /// </summary>
    public class ContactInformationItem : BasePropertyChanged
    {

        private string m_Telephone;
        /// <summary>
        /// 电话
        /// </summary>
        public string Telephone
        {
            get { return this.m_Telephone; }
            set
            {
                this.m_Telephone = value;
                RaisePropertyChanged(() => this.Telephone);
            }
        }

        private string m_People;
        /// <summary>
        /// 联系人
        /// </summary>
        public string People
        {
            get { return this.m_People; }
            set
            {
                this.m_People = value;
                RaisePropertyChanged(() => this.People);
            }
        }

        private string m_Fax;
        /// <summary>
        /// 传真
        /// </summary>
        public string Fax
        {
            get { return this.m_Fax; }
            set
            {
                this.m_Fax = value;
                RaisePropertyChanged(() => this.Fax);
            }
        }


        private string m_Email;
        /// <summary>
        /// 电子邮件
        /// </summary>
        public string Email
        {
            get { return this.m_Email; }
            set
            {
                this.m_Email = value;
                RaisePropertyChanged(() => this.Email);
            }
        }
    }
}
