﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Common
{
    public class ProductTypeShowItem: BasePropertyChanged
    {
        /// <summary>
        /// 品牌Id
        /// </summary>
        public string BrandId { get; set; } = string.Empty;
        /// <summary>
        /// 品牌名称
        /// </summary>
        public string BrandName { get; set; } = string.Empty;
        /// <summary>
        /// 产品Id
        /// </summary>
        public string ProductId { get; set; } = string.Empty;
        /// <summary>
        /// 产品名称
        /// </summary>
        public string ProductName { get; set; } = string.Empty;
        /// <summary>
        /// 产品类型Id
        /// </summary>
        public string ProductTypeId { get; set; } = string.Empty;
        /// <summary>
        /// 产品类型名称
        /// </summary>
        public string ProductTypeName { get; set; } = string.Empty;
        /// <summary>
        /// 种族编码
        /// </summary>
        public string FamilyCode { get; set; } = string.Empty;

        public ProductTypeShowItem Clone()
        {
            return (ProductTypeShowItem)this.MemberwiseClone();
        }

        public override string ToString()
        {
            return $"{BrandName}-{ProductName}-{ProductTypeName}";
        }
    }
}
