﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.UI.Common
{
    /// <summary>
    /// 合同创建参数
    /// </summary>
    public class VenderProjectParameter
    {
        public VenderProjectParameter()
        {
        }
        public VenderProjectParameter(string venderId)
        {
            VenderId = venderId;
        }
        public VenderProjectParameter(string venderId,string projectId)
        {
            VenderId = venderId;
            ProjectId = projectId;
        }
        /// <summary>
        /// 项目Id
        /// </summary>
        public string ProjectId { get; set; }
        /// <summary>
        /// 厂商Id
        /// </summary>
        public string VenderId { get; set; }
        /// <summary>
        /// 项目是否可用
        /// </summary>
        public bool ProjectValid
        {
            get { return !string.IsNullOrEmpty(ProjectId); }
        }
    }
}
