﻿using Com.FirmLib.Entity;
using Com.FirmLib.UI.Common;
using Com.FirmLib.UI.Common.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Com.FirmLib.UI
{
    public  static class ConverterExtension
    {
        public static ProductTypeShowItem ConverterTypeShowItem(this ProductTypeDetailItem detailItem)
        {
            var productTypeShowItem = new ProductTypeShowItem();

            productTypeShowItem.BrandId = detailItem.BrandId;
            productTypeShowItem.BrandName = detailItem.BrandName;
            productTypeShowItem.ProductId = detailItem.ProductId;
            productTypeShowItem.ProductName = detailItem.ProductName;
            productTypeShowItem.ProductTypeId = detailItem.ProductTypeId;
            productTypeShowItem.ProductTypeName = detailItem.ProductTypeName;

            return productTypeShowItem;
        }
        public static ProductTypeShowItem ConverterTypeShowItemByAsset(this AssetShowItem assetItem)
        {
            var productTypeShowItem = new ProductTypeShowItem();

            productTypeShowItem.BrandId = assetItem.Brand;
            productTypeShowItem.BrandName = assetItem.Brand;
            productTypeShowItem.ProductId = assetItem.Product;
            productTypeShowItem.ProductName = assetItem.Product;
            productTypeShowItem.ProductTypeId = assetItem.TypeId;
            productTypeShowItem.ProductTypeName = assetItem.Type;

            return productTypeShowItem;
        }
    }
}
