﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Manufacturer.Model
{
    public class BrandShowItem : BasePropertyChanged
    {


        private string m_ManufacturerId;
        /// <summary>
        /// 生产厂家id
        /// </summary>
        public string ManufacturerId
        {
            get { return this.m_ManufacturerId; }
            set
            {
                this.m_ManufacturerId = value;
                RaisePropertyChanged(() => this.ManufacturerId);
            }
        }
        private string m_Id;
        /// <summary>
        /// 品牌Id
        /// </summary>
        public string Id
        {
            get { return this.m_Id; }
            set
            {
                this.m_Id = value;
                RaisePropertyChanged(() => this.Id);
            }
        }

        private string m_Name;
        /// <summary>
        /// 品牌名称
        /// </summary>
        public string Name
        {
            get { return this.m_Name; }
            set
            {
                this.m_Name = value;
                RaisePropertyChanged(() => this.Name);
            }
        }
    }
}
