﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;
using FWindSoft.Wpf;

namespace Com.FirmLib.UI.Manufacturer.Model
{
    public class TypeShowItem:BasePropertyChanged
    {
        /// <summary>
        /// 产品类型id
        /// </summary>
        public string ProductTypeId { get; set; }

        private string m_TypeName;
        /// <summary>
        /// 类型名称
        /// </summary>
        public string TypeName
        {
            get { return this.m_TypeName; }
            set
            {
                this.m_TypeName = value;
                RaisePropertyChanged(() => this.TypeName);
            }
        }

        private PropertyCollection m_Parameters;
        /// <summary>
        /// 参数相关
        /// </summary>
        public PropertyCollection Parameters
        {
            get { return this.m_Parameters; }
            set
            {
                this.m_Parameters = value;
                RaisePropertyChanged(() => this.Parameters);
            }
        }
    }
}
