﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;

namespace Com.FirmLib.Entity
{
    /// <summary>
    /// 保险单信息
    /// </summary>
    public class PolicyItem
    {
        /// <summary>
        /// 保单信息Id
        /// </summary>
        [JsonProperty("insuranceId")]
        public string Id { get; set; }
        /// <summary>
        /// 保单编号
        /// </summary>
        [JsonProperty("insuranceNo")]
        public string PolicyNo { get; set; }
        /// <summary>
        ///  截止日期
        /// </summary>
        [JsonProperty("expireDate")]
        public string ExpireDate { get; set; }
        /// <summary>
        /// 保险文件key
        /// </summary>
        [JsonProperty("insuranceFile")]
        public string PolicyFile { get; set; }
    }
}
